eoSelectivePopulator(3)

NAME
eoSelectivePopulator - SelectivePopulator an eoPoplator that uses an eoSelectOne to select guys.

SYNOPSIS

#include <eoPopulator.h>

Inherits eoPopulator< EOT >< EOT >.

  Public Member Functions
eoSelectivePopulator (const eoPop< EOT > &_pop, eoPop< EOT > &_dest, eoSelectOne< EOT > &_sel)
const EOT & select ()
the select method actually selects one guy from the src pop

  Private Attributes
eoSelectOne< EOT > & sel

Detailed Description

  template<class EOT> class eoSelectivePopulator< EOT >
SelectivePopulator an eoPoplator that uses an eoSelectOne to select guys. Supposedly, it is passed the initial population.

Definition at line 184 of file eoPopulator.h.

Author

Generated automatically by Doxygen for EO from the source code.